#include "Point.h"
#include <iostream>

Point::Point() {
	x = -1;
	y = -1;
}

Point::Point(int x, int y) {
	this->x = x;
	this->y = y;
}

int Point::getX() {
	return x;
}

int Point::getY() {
	return y;
}

void Point::setX(int x) {
	this->x = x;
}

void Point::setY(int y) {
	this->y = y;
}

void Point::print() {
	std::cout << "(" << x << ", " << y << ")" << std::endl;
}

double Point::distance(Point p) {

	double res = sqrt(pow((p.getX() - this->x), 2) + pow((p.getY() - this->y), 2));

	return res;

}